"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DEFAULT_RESP_HEADERS = exports.DEFAULT_OPTIONS = exports.DEFAULT_INTERCEPTOR_PASS = exports.DEFAULT_INTERCEPTOR_CAPTURE = void 0;
const tslib_1 = require("tslib");
const path_1 = tslib_1.__importDefault(require("path"));
// @ts-ignore
const ci_info_1 = require("ci-info");
const mock_id_1 = tslib_1.__importDefault(require("./mock-id"));
exports.DEFAULT_INTERCEPTOR_CAPTURE = {
    name: '__teremock_buildin_capture',
    url: '*',
    methods: new Set('*'),
    pass: false,
    naming: {},
    resourceTypes: new Set(['xhr', 'fetch']),
};
exports.DEFAULT_INTERCEPTOR_PASS = {
    name: '__teremock_buildin_pass',
    url: '*',
    methods: new Set('*'),
    pass: true,
    naming: {},
    resourceTypes: new Set('*'),
};
const defaultInterceptors = {
    // You could overwrite default interceptors, but do you really need that? Tell me in issue!
    __teremock_buildin_capture: exports.DEFAULT_INTERCEPTOR_CAPTURE,
    __teremock_buildin_pass: exports.DEFAULT_INTERCEPTOR_PASS,
};
exports.DEFAULT_OPTIONS = {
    interceptors: defaultInterceptors,
    skipResponseHeaders: [
        'date',
        'expires',
        'last-modified',
        'x-powered-by',
        'etag',
        'cache-control',
        'content-length',
        'server',
        'sec-ch-ua',
        'sec-ch-ua-mobile',
    ],
    skipRequestHeaders: [
        'user-agent',
        'accept-language',
        'accept',
    ],
    ci: ci_info_1.isCi,
    awaitConnectionsOnStop: false,
    getMockId: mock_id_1.default,
    // You need default value, or next teremock.start() (without options.wd) will use old wd value
    wd: path_1.default.resolve(process.cwd(), '__teremocks__'),
};
exports.DEFAULT_RESP_HEADERS = {
    'Content-Type': 'application/json; charset=utf-8'
};
